Package org.drinkless.tdlib

# Class TdApi.GetFileDownloadedPrefixSize

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FileDownloadedPrefixSize>
org.drinkless.tdlib.TdApi.GetFileDownloadedPrefixSize

Enclosing class:
  `TdApi`

public static class TdApi.GetFileDownloadedPrefixSize extends TdApi.Function<TdApi.FileDownloadedPrefixSize>
Returns file downloaded prefix size from a given offset, in bytes.

Returns `FileDownloadedPrefixSize`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fileId`
  Identifier of the file.
  `long`
  `offset`
  Offset from which downloaded prefix size needs to be calculated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetFileDownloadedPrefixSize()`
  Default constructor for a function, which returns file downloaded prefix size from a given offset, in bytes.
  `GetFileDownloadedPrefixSize(int fileId, long offset)`
  Creates a function, which returns file downloaded prefix size from a given offset, in bytes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileId

    public int fileId
    Identifier of the file.

  - ### offset

    public long offset
    Offset from which downloaded prefix size needs to be calculated.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetFileDownloadedPrefixSize

    public GetFileDownloadedPrefixSize()
    Default constructor for a function, which returns file downloaded prefix size from a given offset, in bytes.

    Returns `FileDownloadedPrefixSize`

  - ### GetFileDownloadedPrefixSize

    public GetFileDownloadedPrefixSize(int fileId, long offset)
    Creates a function, which returns file downloaded prefix size from a given offset, in bytes.

    Returns `FileDownloadedPrefixSize`

    Parameters:
      `fileId` - Identifier of the file.
      `offset` - Offset from which downloaded prefix size needs to be calculated.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FileDownloadedPrefixSize>`
    Returns:
      this.CONSTRUCTOR